{% extends 'base.html.twig' %}

{% block title %}Project index{% endblock %}

{% block body %}
    <h1>Project index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Status</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for project in projects %}
            <tr>
                <td>{{ project.id }}</td>
                <td>{{ project.name }}</td>
                <td>{{ project.description }}</td>
                <td>{{ project.status }}</td>
                <td>
                    <a href="{{ path('project_show', {'id': project.id}) }}">show</a>
                    <a href="{{ path('project_edit', {'id': project.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('project_new') }}">Create new</a>
{% endblock %}
